astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Sky2Pix_HEALPix

# Sky2Pix_HEALPix

class `astropy.modeling.projections.``Sky2Pix_HEALPix`

  Bases: `astropy.modeling.projections.Sky2PixProjection`, `astropy.modeling.projections.HEALPix`

  HEALPix projection - sky to pixel.

  Corresponds to the `HPX` projection in FITS WCS.

  Parameters:

  H : float

  > The number of facets in longitude direction.

  X : float

  > The number of facets in latitude direction.

  Attributes Summary

  `H` |
  `X` |
  `param_names` |

  Methods Summary

  `evaluate`(phi, theta, H, X) |

  Attributes Documentation

  `H`
  `X`
  `param_names` = ('H', 'X')

  Methods Documentation

  classmethod `evaluate`(phi, theta, H, X)